package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesWorkOrderService {


    @ApiOperation(value = "查询工单")
    public MesWorkOrder queryMesWorkOrder(MesWorkOrder workOrder);

    @ApiOperation(value = "查询工单")
    public List<MesWorkOrder> queryMesWorkOrderList(MesWorkOrder workOrder);

    @ApiOperation(value = "查询工单")
    public ListPager<MesWorkOrder> queryMesWorkOrderListByPager(MesWorkOrder workOrder, Pager pager);


    void doProductReport(List<MesProduceSn> mesProduceSns, String organizeCode, String userName);

    /**
     * 获取未报工
     * @param organizeCode
     * @return
     */
    List<MesProduceSn> getUnReportMesProduceSn(String organizeCode);
}
