package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.print;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionPsOutContext;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;

import java.util.List;
import java.util.Map;

/**
 * @Description : 根据不同的条码,封装不同的数据来源  content 是打印模板，dataList
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/6 16:39
 * @Modify:
 **/
public interface IPrintTemplateStrategyService {
    /**
     * dataList
     * 需要打印的数据，封装数据
     * @param sn
     * @return
     */
    Map<String,Object> execute(StationRequestBean reqBean, MesProductionPsOutContext sn , String organizeCode);
}
